Bug 187188 - missing init scripts
missing init scripts
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
Blocks: 181492
  Show dependency treegraph
Reported: 2006-03-28 21:10 EST by Subhendu Ghosh
Modified: 2016-10-04 00:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-29 12:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Makefile.in patch to install DHCPv6 client init.d file (1.21 KB, patch)
2006-03-28 21:10 EST, Subhendu Ghosh
no flags Details | Diff
Patch for dhcpv6.spec (866 bytes, patch)
2006-03-28 21:11 EST, Subhendu Ghosh
no flags Details | Diff
patch for /etc/rc.d/init.d/dhcp6c (911 bytes, patch)
2006-03-28 22:10 EST, Subhendu Ghosh
no flags Details | Diff

  None (edit)
Description Subhendu Ghosh 2006-03-28 21:10:06 EST
Description of problem:
The dhcpv6_client RPM is missing the init from the upstream package.  The spec
does not include the file. Makefile does not install file.

Version-Release number of selected component (if applicable):
dhcpv6_client-0.10-16.1  (fc5 as well)

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
/etc/init.d/dhcp6c exists

Additional info:
Patch for Makefile.in and dhcpv6.spec attached
Comment 1 Subhendu Ghosh 2006-03-28 21:10:06 EST
Created attachment 126955 [details]
Makefile.in patch to install DHCPv6 client init.d file
Comment 2 Subhendu Ghosh 2006-03-28 21:11:44 EST
Created attachment 126956 [details]
Patch for dhcpv6.spec
Comment 3 Subhendu Ghosh 2006-03-28 22:10:12 EST
Created attachment 126958 [details]
patch for /etc/rc.d/init.d/dhcp6c
Comment 4 Jason Vas Dias 2006-03-29 12:49:10 EST
Actually, both in FC-{4,5,6} and RHEL-4, we tried to follow the same conventions
as used by dhclient: dhcp6c does NOT have its own initscript, but is started by
an 'ifup' IFF these /etc/sysconfig/network{,-scripts/ifcfg-eth*} variables are

This is documented in /usr/share/doc/initscripts-*/sysconfig.txt:
   IPv6-only option to enable DHCPv6 client:
      This will enable the DHCPv6 client, dhcp6c, to be run for the interface.
      See man dhcp6c(8) and dhcp6c.conf(5).

I don't think it would be a good idea to give dhcp6c its own initscript, as
this would REQUIRE users to set up /etc/dhcp6c.conf with 'interface ...{...}'
definitions, and would result in more user confusion. With the sysconfig
variable settings, users do not have to set up a dhcp6c config file,
since dhcp6c can be given the explicit 'dhcp6c $DEVICE' argument automatically.

Note You need to log in before you can comment on or make changes to this bug.